Subject: Bug#497514: coreutils: chmod, chown, and chgrp change ctime even when no change was necessary

From: Michael Stone <[email-masked]>
Date: Fri, 12 Sep 2008 16:05:09 -0400

On Fri, Sep 12, 2008 at 09:51:04PM +0200, Jim Meyering wrote:
>That sounds like a good reason to retain the behavior you've come to
>value, even if it's not guaranteed or portable, but only via a new
>option.  Then we can still change the default to be more efficient.

Why on earth would we want to? Some people obviously like the current 
behavior, and depend on the side effects, the desired behavior is easy 
to get with existing tools, and adding a new option seems like something 
that shouldn't be done without a very good reason. This seems like 
optimization for the sake of optimization. (And it would make chmod 
inconsistent with chown and chgrp.)

Mike Stone